Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.table.swt
Class CellReadOnlyTesterHelper

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.table.swt.CellReadOnlyTesterHelper

    public final class CellReadOnlyTesterHelper

extends Object

Helper class which collects the cell testers and allows to iterate over all to check whether a cell should be read only.

Author:
  Eugen Neufeld

Method Summary
`static CellReadOnlyTesterHelper` | `getInstance()` The CellReadOnlyTesterHelper instance.
`boolean` | `isReadOnly(VTableControl vTableControl, org.eclipse.emf.ecore.EStructuralFeature.Setting setting)` Check all `ECPCellReadOnlyTester` for the cell.
`void` | `registerCellReadOnlyTester(ECPCellReadOnlyTester tester)` Register an `ECPCellReadOnlyTester` programmatically.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CellReadOnlyTesterHelper getInstance()

  The CellReadOnlyTesterHelper instance.

  Returns:
    the CellReadOnlyTesterHelper instance

### registerCellReadOnlyTester

    public void registerCellReadOnlyTester(ECPCellReadOnlyTester tester)

  Register an `ECPCellReadOnlyTester` programmatically.

  Parameters:
    `tester` - the `ECPCellReadOnlyTester` to register

### isReadOnly

    public boolean isReadOnly(VTableControl vTableControl,
                              org.eclipse.emf.ecore.EStructuralFeature.Setting setting)

  Check all `ECPCellReadOnlyTester` for the cell.

  Parameters:
    `vTableControl` - the `VTableControl`
    `setting` - the `EStructuralFeature.Setting` of the cell
  Returns:
    true if any `ECPCellReadOnlyTester` wants the cell to be readonly false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.